Subject: Re: bug#59320: Acknowledgement (29.0.50; (Windows) Cursor is invisble unless inhibit-double-buffer is t, and then it only appears as a single pixel line)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Nov 2022 15:19:54 +0200

> From: Casey Banner <[email-masked]>
> Date: Mon, 21 Nov 2022 23:01:27 -0500
> 
> >>> Casey, do you have w32_use_visible_system_caret set to t?  That's the
> >>> only possibly related thing I can see in w32term.c.
> 
> Aha, yes! Setting this to nil restores my cursor back to normal. I
> hadn't started using a screen reader,
> but it seems that enabling the "Turn on Speech Recognition" feature
> triggers this to be set via the
> SPI_GETSCREENREADER flag. I can verify disabling this feature then
> opening emacs displays
> causes w32_use_visible_system_caret to be nil, but enabling it causes
> it to be t.

So I guess we should disable double-buffering on Windows when system caret
is in use?